package com.steerinfo.ems.trmworkprocproductvalue.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;
import java.util.HashMap;

public class TRmWorkprocProductValue implements IBasePO<HashMap<String, Object>> {
    /**
     * 关联ID(ITEMID,VARCHAR,40)
     */
    @ApiModelProperty(value = "关联ID", required = false)
    private String itemid;

    /**
     * 数据类别(ITEMTYPE,VARCHAR,40)
     */
    @ApiModelProperty(value = "数据类别", required = false)
    private String itemtype;

    /**
     * 时间(CLOCK,VARCHAR,40)
     */
    @ApiModelProperty(value = "时间", required = false)
    private String clock;

    /**
     * 粒度代码(TIMEGRANID,VARCHAR,40)
     */
    @ApiModelProperty(value = "粒度代码", required = false)
    private String timegranid;

    /**
     * 累计值(SUMVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value = "累计值", required = true)
    private BigDecimal sumvalue;

    /**
     * 是否锁定(ISLOCK,VARCHAR,1)
     */
    @ApiModelProperty(value = "是否锁定", required = true)
    private String islock;

    /**
     * 锁定报表ID(LOCKID,VARCHAR,64)
     */
    @ApiModelProperty(value = "锁定报表ID", required = true)
    private String lockid;

    /**
     * 计算值(ACTUALVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value = "计算值", required = true)
    private BigDecimal actualvalue;

    /**
     * 修正值(CORRECTVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value = "修正值", required = true)
    private BigDecimal correctvalue;

    /**
     * 最终值(APPORTVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value = "最终值", required = true)
    private BigDecimal apportvalue;

    @ApiModelProperty(value = "用户id", required = true)
    private String userid;

    @ApiModelProperty(value = "创建时间", required = true)
    private String updatetime;
    /**
     * 备注(BZ,VARCHAR,400)
     */
    @ApiModelProperty(value = "备注", required = true)
    private String bz;

    /**
     * 修改人(UPMAN,VARCHAR,10)
     */
    @ApiModelProperty(value = "修改人", required = true)
    private String upman;

    /**
     * 修改时间(UPTIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value = "修改时间", required = true)
    private Date uptime;

    /**
     * 备注(BZ2,VARCHAR,400)
     */
    @ApiModelProperty(value = "备注2", required = true)
    private String bz2;

    /**
     * 确认人(QRMAN,VARCHAR,40)
     */
    @ApiModelProperty(value = "确认人", required = true)
    private String qrman;

    /**
     * 确认时间(QRTIME,VARCHAR,40)
     */
    @ApiModelProperty(value = "确认时间", required = true)
    private String qrtime;

    /**
     * 上报产量(RTPVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value = "上报产量", required = true)
    private BigDecimal rtpvalue;

    private static final long serialVersionUID = 1L;

    public String getItemid() {
        return itemid;
    }

    public void setItemid(String itemid) {
        this.itemid = itemid == null ? null : itemid.trim();
    }

    public String getItemtype() {
        return itemtype;
    }

    public void setItemtype(String itemtype) {
        this.itemtype = itemtype == null ? null : itemtype.trim();
    }

    public String getClock() {
        return clock;
    }

    public void setClock(String clock) {
        this.clock = clock == null ? null : clock.trim();
    }

    public String getTimegranid() {
        return timegranid;
    }

    public void setTimegranid(String timegranid) {
        this.timegranid = timegranid == null ? null : timegranid.trim();
    }

    public BigDecimal getSumvalue() {
        return sumvalue;
    }

    public void setSumvalue(BigDecimal sumvalue) {
        this.sumvalue = sumvalue;
    }

    public String getIslock() {
        return islock;
    }

    public void setIslock(String islock) {
        this.islock = islock == null ? null : islock.trim();
    }

    public String getLockid() {
        return lockid;
    }

    public void setLockid(String lockid) {
        this.lockid = lockid == null ? null : lockid.trim();
    }

    public BigDecimal getActualvalue() {
        return actualvalue;
    }

    public void setActualvalue(BigDecimal actualvalue) {
        this.actualvalue = actualvalue;
    }

    public BigDecimal getCorrectvalue() {
        return correctvalue;
    }

    public void setCorrectvalue(BigDecimal correctvalue) {
        this.correctvalue = correctvalue;
    }

    public BigDecimal getApportvalue() {
        return apportvalue;
    }

    public void setApportvalue(BigDecimal apportvalue) {
        this.apportvalue = apportvalue;
    }

    public String getBz() {
        return bz;
    }

    public void setBz(String bz) {
        this.bz = bz == null ? null : bz.trim();
    }

    public String getUserid() {
        return userid;
    }

    public void setUserid(String userid) {
        this.userid = userid == null ? null : userid.trim();
    }

    public String getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(String updatetime) {
        this.updatetime = updatetime == null ? null : updatetime.trim();
    }

    public String getUpman() {
        return upman;
    }

    public void setUpman(String upman) {
        this.upman = upman == null ? null : upman.trim();
    }

    public Date getUptime() {
        return uptime;
    }

    public void setUptime(Date uptime) {
        this.uptime = uptime;
    }

    public String getBz2() {
        return bz2;
    }

    public void setBz2(String bz2) {
        this.bz2 = bz2;
    }

    public String getQrman() {
        return qrman;
    }

    public void setQrman(String qrman) {
        this.qrman = qrman;
    }

    public String getQrtime() {
        return qrtime;
    }

    public void setQrtime(String qrtime) {
        this.qrtime = qrtime;
    }

    public BigDecimal getRtpvalue() {
        return rtpvalue;
    }

    public void setRtpvalue(BigDecimal rtpvalue) {
        this.rtpvalue = rtpvalue;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", itemid=").append(itemid);
        sb.append(", itemtype=").append(itemtype);
        sb.append(", clock=").append(clock);
        sb.append(", timegranid=").append(timegranid);
        sb.append(", sumvalue=").append(sumvalue);
        sb.append(", islock=").append(islock);
        sb.append(", lockid=").append(lockid);
        sb.append(", actualvalue=").append(actualvalue);
        sb.append(", correctvalue=").append(correctvalue);
        sb.append(", apportvalue=").append(apportvalue);
        sb.append(", bz=").append(bz);
        sb.append(", userid").append(userid);
        sb.append(", updatetime").append(updatetime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append(", upman").append(upman);
        sb.append(", uptime=").append(uptime);
        sb.append("]");
        return sb.toString();
    }

    @Override
    public HashMap<String, Object> getId() {
        HashMap<String, Object> m = new HashMap<String, Object>();
        m.put("clock", clock);
        m.put("timegranid", timegranid);
        m.put("itemid", itemid);
        m.put("itemtype", itemtype);
        return m;
    }

    @Override
    public void setId(HashMap<String, Object> id) {
        this.clock = id.get("clock") == null ? "" : id.get("clock").toString().trim();
        this.timegranid = id.get("timegranid") == null ? "" : id.get("timegranid").toString().trim();
        this.itemid = id.get("itemid") == null ? "" : id.get("itemid").toString().trim();
        this.itemtype = id.get("itemtype") == null ? "" : id.get("itemtype").toString().trim();
    }

}